import React, { Component } from "react";
import ContentWrapper from "@/components/Layout/ContentWrapper";
import { Row, Col } from "reactstrap";
import { getSanksi } from "@/actions/sanksi";
import TableSanksi from "@/components/PT/JawabanPencabutanSanksi/TableSanksiJawaban";
import { connect } from "react-redux";
import Loader from "@/components/Common/Loader";

class JawabanCabutSanksi extends Component {
	constructor(props) {
		super(props);
		this.state = {
			sanksi: {},
		};
	}

	componentDidMount = async () => {
		const { token } = this.props;
		const sanksi = await getSanksi(token, { cabutSanksi: true });
		this.setState({ sanksi });
	};

	render() {
		const { sanksi } = this.state;
		return (
			<ContentWrapper>
				<div className="content-heading">
					<span className="font-color-white">
						Jawaban Permohonan Pencabutan Sanksi
					</span>
				</div>
				<Row>
					<Col lg={12}>{sanksi.data?.length ? <TableSanksi listData={sanksi.data} to="/pt/jawaban-pencabutan-sanksi/detail" linkName="Detail" /> : sanksi.data ? "" : <Loader />}</Col>
				</Row>
			</ContentWrapper>
		);
	}
}

const mapStateToProps = (state) => ({ user: state.user, token: state.token });
export default connect(mapStateToProps)(JawabanCabutSanksi);
